It appears that the version of veracrypt you downloaded was compiled for libc6 version 2.33. That version is only used on Ubuntu 21.04. Have you made sure you downloaded the right .deb package for...